/v1/devices/oauth

Prev Next
Get
/v1/devices/oauth

Redirect to OAuth authorization page for device onboarding

Security
API Key: jwtAuth
Header parameter nameauthorization

Use Bearer <token>

Query parameters
scope
stringRequired

OAuth scope containing device type, UUID, and hostname

Exampletype=zt-cpe uuid=device-uuid-123 hostname=device.example.com
state
string

OAuth state parameter

Examplestate-12345
code_challenge
string

PKCE code challenge

Examplecode-challenge-12345
code_challenge_method
string

PKCE code challenge method

ExampleS256
pt
string

Platform type

Examplehardware
bm
string

Boot mode

Examplep
Responses
302

Redirect to OAuth authorization page

400

Bad request - Invalid parameters

500

Internal server error